#! /bin/sh
# depdemo-exec.test - check that programs in the ../depdemo subdirectory are viable

# Test script header.
need_prefix=no
if test -z "$srcdir"; then
  srcdir=`echo "$0" | sed 's%/[^/]*$%%'`
  test "$srcdir" = "$0" && srcdir=.
  test "${VERBOSE+set}" != "set" && VERBOSE=yes
fi
. $srcdir/defs || exit 1

if test -f ../depdemo/depdemo; then :
else
  echo "You must run depdemo-make.test before running $0" 1>&2
  exit 77
fi

# Check to see if the programs really run.
echo "Executing uninstalled programs in ../depdemo"

status=0
if ../depdemo/depdemo.static; then :
else
  echo "$0: cannot execute ../depdemo/depdemo.static" 1>&2
  status=1
fi

if ../depdemo/depdemo; then :
else
  echo "$0: cannot execute ../depdemo/depdemo" 1>&2
  status=1
fi

exit $status
